# GimpUi.ColorSelection

    const GimpUi = imports.gi.GimpUi;

    let colorSelection = new GimpUi.ColorSelection({
    });

Widget for doing a color selection.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Box
          - GimpUi.ColorSelection

## Constructors

- GimpUi.ColorSelection.new

## Methods

- GimpUi.ColorSelection.prototype.color_changed
- GimpUi.ColorSelection.prototype.get_color
- GimpUi.ColorSelection.prototype.get_notebook
- GimpUi.ColorSelection.prototype.get_old_color
- GimpUi.ColorSelection.prototype.get_right_vbox
- GimpUi.ColorSelection.prototype.get_show_alpha
- GimpUi.ColorSelection.prototype.reset
- GimpUi.ColorSelection.prototype.set_color
- GimpUi.ColorSelection.prototype.set_config
- GimpUi.ColorSelection.prototype.set_format
- GimpUi.ColorSelection.prototype.set_old_color
- GimpUi.ColorSelection.prototype.set_show_alpha
- GimpUi.ColorSelection.prototype.set_simulation

## Properties

- config

## Signals

- color-changed